﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.ServiceModel.Security;
using HeuristicLab.DemoClient.Services.DemoService;
using System.Collections;


namespace HeuristicLab.DemoClient {
  class Program {
    static bool CreateClient(ServiceClient client) {
      Hashtable ht = new Hashtable();
      string name = "TestClient_1";
      string descr = "Testdescr_1";
      string resGroup = "Client";
      string groupID = client.GetGroupID("g1"); // "265677c6-5fdd-48ea-8792-71624c56bec3";
      return client.CreateClient(name, descr, groupID, resGroup);
    }

    static bool CreateGroup(ServiceClient client) {
      Hashtable ht = new Hashtable();
      string name = "TestGroup_1";
      string descr = "TestGroupdescr_1";
      return client.CreateGroup(name, descr);
    }


    static void Main(string[] args) {
      ServiceClient client = new ServiceClient();
      client.ClientCredentials.UserName.UserName = "Alice";
      client.ClientCredentials.UserName.Password = "YouWillNeverKnow";
      client.ClientCredentials.ServiceCertificate.Authentication.CertificateValidationMode = X509CertificateValidationMode.None;

      try {
        Console.WriteLine(client.GetData(23));
        Console.WriteLine("groupid = {0}", client.GetGroupID("g1"));
        Console.WriteLine("Group Created = {0}", CreateGroup(client));
        Console.WriteLine("Client Created = {0}", CreateClient(client));
      }
      catch (Exception e) {
        Console.WriteLine(e.Message);
      }

      Console.ReadLine();

      client.Close();
    }
  }
}
